# Class ProfileEditResult | EchoHub Documentation
Result returned from the profile edit dialog.

# Class ProfileEditResult

Namespace
  EchoHub.Client.UI

Assembly
  EchoHub.Client.dll

Result returned from the profile edit dialog.

    public record ProfileEditResult : IEquatable<ProfileEditResult>

Inheritance
  object
  ProfileEditResult

Implements
  IEquatable<ProfileEditResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ProfileEditResult(ProfileEditResult)

    protected ProfileEditResult(ProfileEditResult original)

#### Parameters

`original` ProfileEditResult

### ProfileEditResult(string?, string?, string?)

Result returned from the profile edit dialog.

    public ProfileEditResult(string? DisplayName, string? Bio, string? NicknameColor)

#### Parameters

`DisplayName` string
`Bio` string
`NicknameColor` string

## Properties

### Bio

    public string? Bio { get; init; }

#### Property Value

string

### DisplayName

    public string? DisplayName { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### NicknameColor

    public string? NicknameColor { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?, out string?, out string?)

    public void Deconstruct(out string? DisplayName, out string? Bio, out string? NicknameColor)

#### Parameters

`DisplayName` string
`Bio` string
`NicknameColor` string

### Equals(ProfileEditResult?)

    public virtual bool Equals(ProfileEditResult? other)

#### Parameters

`other` ProfileEditResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ProfileEditResult?, ProfileEditResult?)

    public static bool operator ==(ProfileEditResult? left, ProfileEditResult? right)

#### Parameters

`left` ProfileEditResult
`right` ProfileEditResult

#### Returns

bool

### operator !=(ProfileEditResult?, ProfileEditResult?)

    public static bool operator !=(ProfileEditResult? left, ProfileEditResult? right)

#### Parameters

`left` ProfileEditResult
`right` ProfileEditResult

#### Returns

bool